Skip to main content
GET
/
{org}
/
{repo}
Get repository
curl --request GET \
  --url https://api.mesa.dev/api/v1/{org}/{repo} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "org": "<string>",
  "name": "<string>",
  "default_branch": "<string>",
  "head_oid": "<string>",
  "size_bytes": 123,
  "created_at": "<string>",
  "upstream": {
    "uri": "<string>",
    "autosync": {
      "type": "<string>",
      "period": 123,
      "resolution_strategy": "none"
    },
    "last_sync_attempt": "2023-11-07T05:31:56Z",
    "last_sync_success": "2023-11-07T05:31:56Z",
    "last_sync_error": "<string>",
    "has_credential": true,
    "credential_host": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required
Minimum string length: 1
repo
string
required
Minimum string length: 1

Response

Repository

id
string
required
org
string
required
name
string
required
default_branch
string
required
head_oid
string | null
required
size_bytes
number
required
created_at
string
required
upstream
object
required

Optionally add an upstream repository. You can configure automatic syncing from the upstream repository.